Categories:
  - Internet
License: GPL-3.0-only
WebSite: https://floens.github.io/Clover
SourceCode: https://github.com/chandevel/Clover
IssueTracker: https://github.com/chandevel/Clover/issues
Translation: https://crowdin.com/project/clover
Changelog: https://github.com/chandevel/Clover/blob/dev/CHANGES.txt
Donate: https://floens.github.io/Clover/#donate
Bitcoin: 1N7VtcNh8L8u4tF9CJ38GjnPbmxM4Vixi6

AutoName: Clover
Summary: Imageboard browser
Description: |-
    Clover is an imageboard browser. Supports 4chan, 8chan and more.

    Features include inline replying, thread watching, notifications, themes, 4chan
    pass support and filters.

RepoType: git
Repo: https://github.com/chandevel/Clover.git

Builds:
  - versionName: v1.1.1
    versionCode: 25
    commit: v1.1.1
    subdir: Clover/app
    gradle:
      - yes

  - versionName: v1.1.2
    versionCode: 28
    commit: v1.1.2
    subdir: Clover/app
    gradle:
      - yes

  - versionName: v1.1.3
    versionCode: 32
    commit: v1.1.3
    subdir: Clover/app
    gradle:
      - yes

  - versionName: v1.2.0
    versionCode: 36
    commit: v1.2.0
    subdir: Clover/app
    gradle:
      - yes

  - versionName: v1.2.2
    versionCode: 40
    commit: v1.2.2
    subdir: Clover/app
    gradle:
      - yes
    srclibs:
      - ApacheHttpCore@4.3.2
      - ApacheHttpClient@4.3.2
      - HttpClientAndroid@f7c5537aa724
    prebuild:
      - mv $$ApacheHttpCore$$/httpcore $$HttpClientAndroid$$/script/httpcore
      - mv $$ApacheHttpClient$$/httpclient $$HttpClientAndroid$$/script/httpclient
      - mv $$ApacheHttpClient$$/httpclient-cache $$HttpClientAndroid$$/script/httpclient-cache
      - mv $$ApacheHttpClient$$/httpmime $$HttpClientAndroid$$/script/httpmime
      - pushd $$HttpClientAndroid$$/script
      - sed -i -e '/checkout/d' convert_stock_httpclient
      - bash convert_stock_httpclient
      - popd
      - cp $$HttpClientAndroid$$/script/httpclientandroidlib-1.2.1.jar libs/

  - versionName: v1.2.3
    versionCode: 41
    commit: v1.2.3
    subdir: Clover/app
    gradle:
      - yes
    srclibs:
      - ApacheHttpCore@4.3.2
      - ApacheHttpClient@4.3.2
      - HttpClientAndroid@f7c5537aa724
    prebuild:
      - mv $$ApacheHttpCore$$/httpcore $$HttpClientAndroid$$/script/httpcore
      - mv $$ApacheHttpClient$$/httpclient $$HttpClientAndroid$$/script/httpclient
      - mv $$ApacheHttpClient$$/httpclient-cache $$HttpClientAndroid$$/script/httpclient-cache
      - mv $$ApacheHttpClient$$/httpmime $$HttpClientAndroid$$/script/httpmime
      - pushd $$HttpClientAndroid$$/script
      - sed -i -e '/checkout/d' convert_stock_httpclient
      - bash convert_stock_httpclient
      - popd
      - cp $$HttpClientAndroid$$/script/httpclientandroidlib-1.2.1.jar libs/

  - versionName: v1.2.4
    versionCode: 42
    commit: v1.2.4
    subdir: Clover/app
    gradle:
      - yes
    srclibs:
      - ApacheHttpCore@4.3.2
      - ApacheHttpClient@4.3.2
      - HttpClientAndroid@f7c5537aa724
    prebuild:
      - mv $$ApacheHttpCore$$/httpcore $$HttpClientAndroid$$/script/httpcore
      - mv $$ApacheHttpClient$$/httpclient $$HttpClientAndroid$$/script/httpclient
      - mv $$ApacheHttpClient$$/httpclient-cache $$HttpClientAndroid$$/script/httpclient-cache
      - mv $$ApacheHttpClient$$/httpmime $$HttpClientAndroid$$/script/httpmime
      - pushd $$HttpClientAndroid$$/script
      - sed -i -e '/checkout/d' convert_stock_httpclient
      - bash convert_stock_httpclient
      - popd
      - cp $$HttpClientAndroid$$/script/httpclientandroidlib-1.2.1.jar libs/
      - sed -i -e 's/gradle:1.0.0/gradle:0.14.+/g' build.gradle ../build.gradle

  - versionName: v1.2.5
    versionCode: 43
    commit: v1.2.5
    subdir: Clover/app
    gradle:
      - yes
    srclibs:
      - ApacheHttpCore@4.3.2
      - ApacheHttpClient@4.3.2
      - HttpClientAndroid@f7c5537aa724
    prebuild:
      - mv $$ApacheHttpCore$$/httpcore $$HttpClientAndroid$$/script/httpcore
      - mv $$ApacheHttpClient$$/httpclient $$HttpClientAndroid$$/script/httpclient
      - mv $$ApacheHttpClient$$/httpclient-cache $$HttpClientAndroid$$/script/httpclient-cache
      - mv $$ApacheHttpClient$$/httpmime $$HttpClientAndroid$$/script/httpmime
      - pushd $$HttpClientAndroid$$/script
      - sed -i -e '/checkout/d' convert_stock_httpclient
      - bash convert_stock_httpclient
      - popd
      - cp $$HttpClientAndroid$$/script/httpclientandroidlib-1.2.1.jar libs/

  - versionName: v1.2.6
    versionCode: 44
    commit: v1.2.6
    subdir: Clover/app
    gradle:
      - yes
    srclibs:
      - ApacheHttpCore@4.3.2
      - ApacheHttpClient@4.3.2
      - HttpClientAndroid@f7c5537aa724
    prebuild:
      - mv $$ApacheHttpCore$$/httpcore $$HttpClientAndroid$$/script/httpcore
      - mv $$ApacheHttpClient$$/httpclient $$HttpClientAndroid$$/script/httpclient
      - mv $$ApacheHttpClient$$/httpclient-cache $$HttpClientAndroid$$/script/httpclient-cache
      - mv $$ApacheHttpClient$$/httpmime $$HttpClientAndroid$$/script/httpmime
      - pushd $$HttpClientAndroid$$/script
      - sed -i -e '/checkout/d' convert_stock_httpclient
      - bash convert_stock_httpclient
      - popd
      - cp $$HttpClientAndroid$$/script/httpclientandroidlib-1.2.1.jar libs/

  - versionName: v1.2.7
    versionCode: 46
    commit: v1.2.7
    subdir: Clover/app
    gradle:
      - yes
    srclibs:
      - ApacheHttpCore@4.3.2
      - ApacheHttpClient@4.3.2
      - HttpClientAndroid@f7c5537aa724
    prebuild:
      - mv $$ApacheHttpCore$$/httpcore $$HttpClientAndroid$$/script/httpcore
      - mv $$ApacheHttpClient$$/httpclient $$HttpClientAndroid$$/script/httpclient
      - mv $$ApacheHttpClient$$/httpclient-cache $$HttpClientAndroid$$/script/httpclient-cache
      - mv $$ApacheHttpClient$$/httpmime $$HttpClientAndroid$$/script/httpmime
      - pushd $$HttpClientAndroid$$/script
      - sed -i -e '/checkout/d' convert_stock_httpclient
      - bash convert_stock_httpclient
      - popd
      - cp $$HttpClientAndroid$$/script/httpclientandroidlib-1.2.1.jar libs/

  - versionName: v1.2.9
    versionCode: 48
    commit: v1.2.9
    subdir: Clover/app
    gradle:
      - yes
    srclibs:
      - ApacheHttpCore@4.3.2
      - ApacheHttpClient@4.3.2
      - HttpClientAndroid@f7c5537aa724
    prebuild:
      - mv $$ApacheHttpCore$$/httpcore $$HttpClientAndroid$$/script/httpcore
      - mv $$ApacheHttpClient$$/httpclient $$HttpClientAndroid$$/script/httpclient
      - mv $$ApacheHttpClient$$/httpclient-cache $$HttpClientAndroid$$/script/httpclient-cache
      - mv $$ApacheHttpClient$$/httpmime $$HttpClientAndroid$$/script/httpmime
      - pushd $$HttpClientAndroid$$/script
      - sed -i -e '/checkout/d' convert_stock_httpclient
      - bash convert_stock_httpclient
      - popd
      - cp $$HttpClientAndroid$$/script/httpclientandroidlib-1.2.1.jar libs/

  - versionName: v1.2.10
    versionCode: 49
    commit: v1.2.10
    subdir: Clover/app
    gradle:
      - yes
    prebuild: sed -i -e '/httpclientandroidlib/d' build.gradle

  - versionName: v1.2.11
    versionCode: 50
    commit: v1.2.11
    subdir: Clover/app
    gradle:
      - yes
    prebuild: sed -i -e '/httpclientandroidlib/d' build.gradle

  - versionName: v2.1.2
    versionCode: 54
    commit: v2.1.2
    subdir: Clover/app
    gradle:
      - yes

  - versionName: v2.1.3
    versionCode: 55
    commit: v2.1.3
    subdir: Clover/app
    gradle:
      - normal

  - versionName: v2.2.0
    versionCode: 56
    commit: v2.2.0
    subdir: Clover/app
    gradle:
      - normal

  - versionName: v2.3.0
    versionCode: 20300
    commit: v2.3.0
    subdir: Clover/app
    gradle:
      - fdroid

  - versionName: v2.3.1
    versionCode: 20301
    commit: v2.3.1
    subdir: Clover/app
    gradle:
      - fdroid

  - versionName: v3.0.0
    versionCode: 30000
    commit: v3.0.0
    subdir: Clover/app
    gradle:
      - fdroid

  - versionName: v3.0.1
    versionCode: 30001
    commit: v3.0.1
    subdir: Clover/app
    gradle:
      - fdroid

  - versionName: v3.0.2
    versionCode: 30002
    commit: v3.0.2
    subdir: Clover/app
    gradle:
      - fdroid

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: v3.0.2
CurrentVersionCode: 30002
